Reserve an effect
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/coordination/effects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"effect_key": "<string>",
"cost_units": 0,
"fact": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/coordination/effects"
payload = {
"effect_key": "<string>",
"cost_units": 0,
"fact": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
effect_key: '<string>',
cost_units: 0,
fact: {id: '<string>', namespace: '<string>', type: '<string>'}
})
};
fetch('https://{space}.{region}.api.niadra.com/v1/coordination/effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempt": 123,
"effect_id": "<string>",
"reserved_at": "2023-11-07T05:31:56Z",
"state": "reserved",
"done_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Coordination
Reserve an effect
Reserves the next attempt of an effect by the key of the business fact; a key already done or ambiguous reserves nothing, and an attempt in flight answers 409.
POST
/
v1
/
coordination
/
effects
Reserve an effect
Authorizations
nia_sk_...
Headers
Required. Kept 24 hours with the hash of the body: a retry with the same key returns the first answer, and the same key with a different body returns 409 conflict.
Required string length:
1 - 256Body
application/json
Required string length:
1 - 512Available options:
delivery, document, notice, filing, paid_call, external_action Required range:
x >= 0A business object in a system of record, e.g. invoice / erp / 0823.
Show child attributes
Show child attributes
Response
The key was done or ambiguous already: nothing was reserved, do not act.

